NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::LinkedMirrorPartBuilder Class Reference

builder class of LinkedMirrorPartBuilder
To create a new instance of this class, use NXOpen::PartCollection::CreateLinkedMirrorPartBuilder
Default values. More...

Inheritance diagram for NXOpen::LinkedMirrorPartBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MirrorCsysOption { MirrorCsysOptionMirrorXYAndDeriveZ, MirrorCsysOptionMirrorYZAndDeriveX, MirrorCsysOptionMirrorXZAndDeriveY }
 type of mirror of CSYS The first two axes are mirrored, and the third one is derived from the two mirrored axes using the right hand convention More...
 
enum  MirrorPartTypeOption { MirrorPartTypeOptionExactMirror, MirrorPartTypeOptionNonExactMirrorKeepBrokenLinks, MirrorPartTypeOptionNonExactMirrorDeleteBrokenLinks }
 type of mirror part More...
 

Public Member Functions

std::vector< NXStringGetRefSetNames ()
 Gets the names of the reference sets that are selected for mirroring. More...
 
NXOpen::LinkedMirrorPartBuilder::MirrorCsysOption MirrorCsysMethod ()
 Returns the method specifying how to mirror coordinate systems
Created in NX8.5.0. More...
 
NXString MirrorPartName ()
 Returns the name of the new mirror part
Created in NX8.5.0. More...
 
NXOpen::LinkedMirrorPartBuilder::MirrorPartTypeOption MirrorPartType ()
 Returns the type of mirror part which controls how the mirrored part responds to changes in source part
Created in NX8.5.0. More...
 
NXOpen::PlaneMirrorPlane ()
 Returns the plane about which the entities are mirrored
Created in NX8.5.0. More...
 
NXOpen::Vector3d MirrorPlaneNormal ()
 Returns the normal of the mirror plane
Created in NX8.5.0. More...
 
NXOpen::Point3d MirrorPlaneOrigin ()
 Returns the origin of the mirror plane
Created in NX8.5.0. More...
 
bool MirrorPmiFlag ()
 Returns the option that determines if PMI entities will be mirrored
Created in NX8.5.0. More...
 
NXOpen::PartNewPart ()
 Returns the target mirrored part in which the mirrored geometries are created
Created in NX8.5.0. More...
 
NXOpen::PartParentPart ()
 Returns the source part which is being mirrored
Created in NX8.5.0. More...
 
void SetMirrorCsysMethod (NXOpen::LinkedMirrorPartBuilder::MirrorCsysOption mirrorCsysMethod)
 Sets the method specifying how to mirror coordinate systems
Created in NX8.5.0. More...
 
void SetMirrorPartName (const NXString &mirrorPartName)
 Sets the name of the new mirror part
Created in NX8.5.0. More...
 
void SetMirrorPartName (const char *mirrorPartName)
 Sets the name of the new mirror part
Created in NX8.5.0. More...
 
void SetMirrorPartType (NXOpen::LinkedMirrorPartBuilder::MirrorPartTypeOption mirrorOption)
 Sets the type of mirror part which controls how the mirrored part responds to changes in source part
Created in NX8.5.0. More...
 
void SetMirrorPlane (NXOpen::Plane *mirrorPlane)
 Sets the plane about which the entities are mirrored
Created in NX8.5.0. More...
 
void SetMirrorPlaneNormal (const NXOpen::Vector3d &normal)
 Sets the normal of the mirror plane
Created in NX8.5.0. More...
 
void SetMirrorPlaneOrigin (const NXOpen::Point3d &origin)
 Sets the origin of the mirror plane
Created in NX8.5.0. More...
 
void SetMirrorPmiFlag (bool mirrorPmiFlag)
 Sets the option that determines if PMI entities will be mirrored
Created in NX8.5.0. More...
 
void SetNewPart (NXOpen::Part *newPart)
 Sets the target mirrored part in which the mirrored geometries are created
Created in NX8.5.0. More...
 
void SetParentPart (NXOpen::Part *parentPart)
 Sets the source part which is being mirrored
Created in NX8.5.0. More...
 
void SetRefSetNames (std::vector< NXString > &refSetNames)
 Sets the names of the reference sets that are selected for mirroring
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

builder class of LinkedMirrorPartBuilder
To create a new instance of this class, use NXOpen::PartCollection::CreateLinkedMirrorPartBuilder
Default values.

Property Value

MirrorCsysMethod

MirrorXYAndDeriveZ


Created in NX8.5.0.

Member Enumeration Documentation

type of mirror of CSYS The first two axes are mirrored, and the third one is derived from the two mirrored axes using the right hand convention

Enumerator
MirrorCsysOptionMirrorXYAndDeriveZ 

mirror xyand derive z

MirrorCsysOptionMirrorYZAndDeriveX 

mirror yzand derive x

MirrorCsysOptionMirrorXZAndDeriveY 

mirror xzand derive y

type of mirror part

Enumerator
MirrorPartTypeOptionExactMirror 

exact mirror

MirrorPartTypeOptionNonExactMirrorKeepBrokenLinks 

non exact mirror keep broken links

MirrorPartTypeOptionNonExactMirrorDeleteBrokenLinks 

non exact mirror delete broken links

Member Function Documentation

std::vector<NXString> NXOpen::LinkedMirrorPartBuilder::GetRefSetNames ( )

Gets the names of the reference sets that are selected for mirroring.

Returns
An array of reference set names
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::LinkedMirrorPartBuilder::MirrorCsysOption NXOpen::LinkedMirrorPartBuilder::MirrorCsysMethod ( )

Returns the method specifying how to mirror coordinate systems
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXString NXOpen::LinkedMirrorPartBuilder::MirrorPartName ( )

Returns the name of the new mirror part
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::LinkedMirrorPartBuilder::MirrorPartTypeOption NXOpen::LinkedMirrorPartBuilder::MirrorPartType ( )

Returns the type of mirror part which controls how the mirrored part responds to changes in source part
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Plane* NXOpen::LinkedMirrorPartBuilder::MirrorPlane ( )

Returns the plane about which the entities are mirrored
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Vector3d NXOpen::LinkedMirrorPartBuilder::MirrorPlaneNormal ( )

Returns the normal of the mirror plane
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Point3d NXOpen::LinkedMirrorPartBuilder::MirrorPlaneOrigin ( )

Returns the origin of the mirror plane
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::LinkedMirrorPartBuilder::MirrorPmiFlag ( )

Returns the option that determines if PMI entities will be mirrored
Created in NX8.5.0.



License requirements : None

NXOpen::Part* NXOpen::LinkedMirrorPartBuilder::NewPart ( )

Returns the target mirrored part in which the mirrored geometries are created
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Part* NXOpen::LinkedMirrorPartBuilder::ParentPart ( )

Returns the source part which is being mirrored
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::LinkedMirrorPartBuilder::SetMirrorCsysMethod ( NXOpen::LinkedMirrorPartBuilder::MirrorCsysOption  mirrorCsysMethod)

Sets the method specifying how to mirror coordinate systems
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mirrorCsysMethodmirrorcsysmethod
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPartName ( const NXString mirrorPartName)

Sets the name of the new mirror part
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mirrorPartNamemirrorpartname
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPartName ( const char *  mirrorPartName)

Sets the name of the new mirror part
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mirrorPartNamemirrorpartname
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPartType ( NXOpen::LinkedMirrorPartBuilder::MirrorPartTypeOption  mirrorOption)

Sets the type of mirror part which controls how the mirrored part responds to changes in source part
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mirrorOptionmirroroption
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPlane ( NXOpen::Plane mirrorPlane)

Sets the plane about which the entities are mirrored
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mirrorPlanemirrorplane
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPlaneNormal ( const NXOpen::Vector3d normal)

Sets the normal of the mirror plane
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
normalNormal vector of mirror plane
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPlaneOrigin ( const NXOpen::Point3d origin)

Sets the origin of the mirror plane
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
originOrigin point of mirror plane
void NXOpen::LinkedMirrorPartBuilder::SetMirrorPmiFlag ( bool  mirrorPmiFlag)

Sets the option that determines if PMI entities will be mirrored
Created in NX8.5.0.



License requirements : None

Parameters
mirrorPmiFlagmirrorpmiflag
void NXOpen::LinkedMirrorPartBuilder::SetNewPart ( NXOpen::Part newPart)

Sets the target mirrored part in which the mirrored geometries are created
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
newPartnewpart
void NXOpen::LinkedMirrorPartBuilder::SetParentPart ( NXOpen::Part parentPart)

Sets the source part which is being mirrored
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
parentPartparentpart
void NXOpen::LinkedMirrorPartBuilder::SetRefSetNames ( std::vector< NXString > &  refSetNames)

Sets the names of the reference sets that are selected for mirroring
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
refSetNamesrefsetnames

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.